Skip to main content
POST
Sign-up a customer for a Customer Subscription Package

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

packageId
string
required

ID of the Customer Subscription Package to use for the sign-up

Body

application/json
customerId
string
required

ID of the customer you would like to create a subscription for with this package.

Example:

"cst_abc12345def678"

startDate
string
required

Date the subscription should or has started, as format YYYY-mm-dd.

Example:

"2024-05-04"

mandateId
string

ID of the mandate you would like to use to charge the subscription with. Omit if you want to start the process for a new customer, or not enable automatic charges for existing customers.

Example:

"mdt_abc12345def678"

createInvoice
boolean

Indicates if MijnKlantportaal should create an invoice for every charge.

Example:

true

invoiceText
string

Custom invoice text. Omit if you want to use the package's name.

Example:

null

Response

The created Customer Subscription

Customer Subscription

id
string

ID of the subscription, always starting with sub_.

Example:

"sub__abc12345def678"

customerId
string

ID of the customer which the subscription belongs to.

Example:

"cst_abc12345def678"

description
string

Description of the subscription

Example:

"Website maintenance contract"

startsAt
string

Start date of the subscription. Formatted as YYYY-mm-dd.

Example:

"2024-04-29"

interval
string

The interval of which the subscription will be extended. Can be 14 days, 1 month, 2 months, 6 months or 1 year.

Example:

"1 year"

renewsAt
string

Date of when the subscription will be renewed next. Formatted as YYYY-mm-dd.

Example:

"2025-04-29"

currency
string

Currency of the subscription amount.

Example:

"EUR"

amount
string

Amount value as string.

Example:

"12.95"

vatRate
integer

The VAT rate percentage as integer. Can be 0, 9 or 21.

Example:

21

status
string

The current status of the subscription. Can be planned, in_progress, terminated or ended.

Example:

"in_progress"

options
object

Settings of the subscription

terminatedAt
string

Date and time when the subscription was terminated. Written in ATOM format.

Example:

"2024-04-29T21:00:00+02:00"

createdAt
string

Date and time when the subscription was added to MijnKlantportaal. Written in ATOM format.

Example:

"2024-04-29T21:00:00+02:00"